﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Resources.Appearance;
using Infragistics.UltraChart.Shared.Styles;
using Infragistics.UltraChart.Core.Layers;
using System.Diagnostics;
using Infragistics.UltraChart.Core.Primitives;

namespace CompositeChart
{
    public partial class Form1 : Form
    {

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            float[,] testData = { { 10, 10, 0 }, { 20, 20, 0 }, { 50, 20, 0 }, { 35, 15, 1 }, { 45, 45, 1 }, { 25, 25, 1 }, { 55, 55, 2 }, { 65, 65, 2 }, { 75, 75, 2 } };

            ultraChart1.DataSource = testData;
            ultraChart1.ScatterChart.ColumnX = 0;
            ultraChart1.ScatterChart.ColumnY = 1;
            ultraChart1.ScatterChart.GroupByColumn = 2;
            ultraChart1.ScatterChart.UseGroupByColumn = true;

            Color[] initColor = new Color[] { Color.Red, Color.Green, Color.Yellow };
            this.ultraChart1.ColorModel.ModelStyle = Infragistics.UltraChart.Shared.Styles.ColorModels.CustomLinear;
            this.ultraChart1.ColorModel.CustomPalette = initColor;


            ultraChart1.ScatterChart.Icon = SymbolIcon.Triangle;
            ultraChart1.ScatterChart.IconSize = SymbolIconSize.Large;

            ultraChart1.Legend.Margins.Bottom = 80;

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraChart1.Legend.SpanPercentage += 1;
            ultraChart1.Legend.Margins.Bottom -= 10;
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            if(ultraChart1.Legend.SpanPercentage>1) ultraChart1.Legend.SpanPercentage -= 1;
            ultraChart1.Legend.Margins.Bottom += 10;
        }

    }
}